## rb-player

rb-player —

## Synopsis

    enum        RBPlayerError;
    #define     RB_PLAYER_ERROR
    GQuark      rb_player_error_quark           (void);
    RBPlayer*   rb_player_new                   (GError **error);
    gboolean    rb_player_open                  (RBPlayer *player,
                                                 const char *uri,
                                                 GError **error);
    gboolean    rb_player_opened                (RBPlayer *player);
    gboolean    rb_player_close                 (RBPlayer *player,
                                                 GError **error);
    gboolean    rb_player_play                  (RBPlayer *player,
                                                 GError **error);
    void        rb_player_pause                 (RBPlayer *player);
    gboolean    rb_player_playing               (RBPlayer *player);
    void        rb_player_set_volume            (RBPlayer *player,
                                                 float volume);
    float       rb_player_get_volume            (RBPlayer *player);
    void        rb_player_set_replaygain        (RBPlayer *player,
                                                 double track_gain,
                                                 double track_peak,
                                                 double album_gain,
                                                 double album_peak);
    gboolean    rb_player_seekable              (RBPlayer *player);
    void        rb_player_set_time              (RBPlayer *player,
                                                 long time );
    long        rb_player_get_time              (RBPlayer *player);

## Description

## Details

### enum RBPlayerError

    typedef enum
    {
    	RB_PLAYER_ERROR_NO_AUDIO,
    	RB_PLAYER_ERROR_GENERAL,
    	RB_PLAYER_ERROR_INTERNAL
    } RBPlayerError;

### RB_PLAYER_ERROR

    #define RB_PLAYER_ERROR rb_player_error_quark ()

### rb_player_error_quark ()

    GQuark      rb_player_error_quark           (void);

Returns : |

### rb_player_new ()

    RBPlayer*   rb_player_new                   (GError **error);

`error` : |
Returns : |

### rb_player_open ()

    gboolean    rb_player_open                  (RBPlayer *player,
                                                 const char *uri,
                                                 GError **error);

`player` : |
`uri` : |
`error` : |
Returns : |

### rb_player_opened ()

    gboolean    rb_player_opened                (RBPlayer *player);

`player` : |
Returns : |

### rb_player_close ()

    gboolean    rb_player_close                 (RBPlayer *player,
                                                 GError **error);

`player` : |
`error` : |
Returns : |

### rb_player_play ()

    gboolean    rb_player_play                  (RBPlayer *player,
                                                 GError **error);

`player` : |
`error` : |
Returns : |

### rb_player_pause ()

    void        rb_player_pause                 (RBPlayer *player);

`player` : |

### rb_player_playing ()

    gboolean    rb_player_playing               (RBPlayer *player);

`player` : |
Returns : |

### rb_player_set_volume ()

    void        rb_player_set_volume            (RBPlayer *player,
                                                 float volume);

`player` : |
`volume` : |

### rb_player_get_volume ()

    float       rb_player_get_volume            (RBPlayer *player);

`player` : |
Returns : |

### rb_player_set_replaygain ()

    void        rb_player_set_replaygain        (RBPlayer *player,
                                                 double track_gain,
                                                 double track_peak,
                                                 double album_gain,
                                                 double album_peak);

`player` : |
`track_gain` : |
`track_peak` : |
`album_gain` : |
`album_peak` : |

### rb_player_seekable ()

    gboolean    rb_player_seekable              (RBPlayer *player);

`player` : |
Returns : |

### rb_player_set_time ()

    void        rb_player_set_time              (RBPlayer *player,
                                                 long time );

`player` : |
`Param2` : |

### rb_player_get_time ()

    long        rb_player_get_time              (RBPlayer *player);

`player` : |
Returns : |